Subject: bug#42099: Emacs -nw Turkish Layout Problem

From: Yigit Emre Sahinoglu <[email-masked]>
Date: Mon, 29 Jun 2020 17:42:13 +0300

chcp returns "Active code page: 437"

All chars displayed correctly on cmd.exe. It's something about Emacs 
Windows (maybe mingw do something finicky), I'm sure of that. WSL Emacs 
works perfectly fine with "emacs -Q -nw" even from cmd.exe. You can look 
at the attachments.

On 2020-06-29 17:07, Eli Zaretskii wrote:
>> From: Yigit Emre Sahinoglu <[email-masked]>
>> Date: Sun, 28 Jun 2020 22:46:39 +0300
>> Cc: [email-masked]
>>
>> w32-get-console-codepage = 437 (#0665, #x1b5). Problem still exists as
>> I described (ö, ç, ü works but ş, İ (types 0), ğ are broken.)
> OK.  So I think the problem might be in the setup of the Windows
> system.  If you type "chcp RET" in the Command Prompt window, does it
> also show codepage 437?  And if you type the problematic characters
> into the Command Prompt window (outside of Emacs) at the cmd.exe
> prompt, do you also see those characters displayed incorrectly?